AOZ Studio Beta - Bug #755

Creation of New App fails.
05/20/2021 09:07 AM - Brian Flanagan

Status: Closed Start date: 05/20/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

Tested in macOS 1.0.0 (B8).
Instead, it creates an empty folder, does not scroll to that folder, etc.

CONSOLE ERRORS:
First, gets ERR_FILE_NOT_FOUND on validator.js. It's using the template_pc even though we’'re on macOS!

vl_0_asset.js:80 GET file:///Library/Application%$20Support/AOZ_Studio/app/aoz/templates/newapp/htm
1/resources/assets/templates/template_pc/validator.js net::ERR_FILE_NOT_FOUND

Then, gets additional error on validator.js after hitting the CREATE button:

/Library/Application Support/AO0Z_Studio/.aozstudio/packages/aoz-studio/lib/aoz-i0.3js:865 Error: EN
OENT: no such file or directory, unlink '/Users/brian/Documents/My AOZ Applications/My_New_App_Fai
1/validator.js'

at Object.unlinkSync (fs.js:976)

at Object.A0ZIO.deleteFile (/Library/Application Support/A0Z_Studio/.aozstudio/packages/aoz-st
udio/lib/aocz—-1i0.js:856)

at client.js:276

at Object.A0ZIO.copyDirectory (/Library/Application Support/A0OZ_Studio/.aozstudio/packages/aoz
—-studio/lib/aoz—-io.js:960)

at Client.createProject (client.]js:267)

at <anonymous>:1:8

at HTMLBodyElement.appendChild (<anonymous>)

at ext_dom.executedS (ext_dom.js:548)

at Application.blocks.<computed> (application.js:1367)

at AOZ.runBlocks (raoz.]js:778)

at doUpdate (raoz.js:452)

History

#1 - 05/20/2021 11:37 AM - Brian Flanagan

After #idetranspileall , this works, however it now puts some text in the new editor window which will cause an error in the user's new code if it's not
deleted.

#2 - 05/24/2021 07:48 PM - Brian Flanagan
re-tested in 5/24 version: 1.0.0 (B8) macOS
Partially fixed, but still fails, (just differently):
GOOD: No longer gets the validator.js problems.
BAD:

1. Red text covers "Preparing your AOZ application" message.
2. Usually does not open the new application, nor does it create the resources folder.

3. It did NOT name the new application .aoz file to the proper name, but used main.aoz instead.

#3 - 06/10/2021 02:25 PM - Brian Flanagan

- Status changed from New to Resolved
The New command is now working in the newest 1.0.0 Beta 8 in macOS!
June 3 version with a patch from Baptiste for macOS.

(There's still a text glitch on the New dialog box, but that's another issue.)

#4 - 07/15/2021 10:31 AM - Brian Flanagan

- Status changed from Resolved to Closed
